<?xml version="1.0" encoding="utf-8"?>

<creole>

    <files>
        <file filelist="saltstack" name="/etc/salt/minion"/>
        <file filelist="saltstack" name="/etc/salt/master"/>
        <file filelist="saltstack" name="/etc/salt/master.d/cherry.conf"/>
        <file filelist="saltstack" name="/etc/salt/master.d/ext_auth.conf"/>
        <service servicelist="saltstack">salt-api</service>
        <service servicelist="saltstack">salt-master</service>
        <service servicelist="saltstack">salt-minion</service>
    </files>

    <variables>
        <family name="services">
            <variable name="activer_saltstack" type="oui/non" description="Activer SaltStack">
                <value>oui</value>
            </variable>
        </family>
        <family name="saltstack" icon="cloud" mode="expert">
            <!-- FIXME domain_strict -->
            <variable name="minion_domain_name" description="Nom de domaine du minion" type="string">
                <value>local</value>
            </variable>
            <variable name="salt_api_port" description="Port d'accès à l'API SaltStack" type="port">
                <value>8880</value>
            </variable>
        </family>
    </variables>

    <constraints>
        <condition name='disabled_if_in' source='activer_saltstack'>
            <param>non</param>
            <target type='servicelist'>saltstack</target>
            <target type='filelist'>saltstack</target>
            <target type='family'>saltstack</target>
        </condition>
    </constraints>

    <help>
        <family name="saltstack">Personnalisation de la configuration SaltStack</family>
        <variable name="activer_saltstack">SaltStack est un logiciel de gestion de configuration écrit en Python</variable>
        <variable name="minion_domain_name">La machine cliente SaltStack est appelé « minion »</variable>
    </help>

</creole>

